import Head from 'next/head';
import { Inter } from 'next/font/google';
import styles from '@/styles/Home.module.css';
import Link from 'next/link';

const inter = Inter({ subsets: ['latin'] });

export default function Home() {
  return (
    <>
      <Head>
        <title>Next.js</title>
        <meta name='description' content='Generated by create next app' />
        <meta name='viewport' content='width=device-width, initial-scale=1' />
        <link rel='icon' href='/favicon.ico' />
      </Head>
      <main className={styles.main}>
        <h1>Hello Next.js</h1>
        <Link href='/about/teachers'>Go to Teachers (Next Link)</Link>
        <hr />
        <a href='/about/teachers'>Go to Teachers (Legacy)</a>
      </main>
    </>
  );
}
